Subject: Re: WinXP: "make" from a Bash shell works fine, but gets "couldn't re serve space" from DOS shell
From: Robert Collins <[email-masked]>
To: "Karr, David" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: 26 Jul 2001 11:00:41 +1000

On 25 Jul 2001 17:13:40 -0700, Karr, David wrote:
> I have a user here who is trying to set up Cygwin on WinXP.  Is that
> expected to work?
No. XP is reported as broken by Corinna - one of the core cygwin
developers.
 
> He was able to install all the pieces of the development environment (Cygwin
> included).  When he does a "make" of our product in a Bash shell, it works
> fine, just as it does on Win2k and WinNT.  When he runs "make" from a DOS
> shell (or tcsh), he gets the following error:
> 
> f:\cygwin\bin\bash.exe: *** Couldn't reserve space for cygwin's heap
> (0x2430000)
>  in child, cygheap, Win32 error 487
This means that fork() is broken - and make is never being started. You
need to 
a) build a debug cygwin on a working machine, and try to findout whats
wrong - and fix it (or at least provide enough details that one of the
cygwin developers can fix it).
b) wait .

Rob

> One of the first things that happens in our Makefiles is that it runs a
> little shell script that pulls some information from the environment.  It
> appears that this "bash" shell (from the error message) is being created
> because of the attempt to run that shell script.  The next line that we see
> in the output is a warning from "make" saying that it wasn't able to find a
> particular file, and the message makes it apparent that the shell script
> returned an empty string (or nothing), which shouldn't happen.
> 
> This problem does not occur on Win2k or WinNT, either in a DOS shell, Bash
> shell, or Tcsh shell.
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/